class Level6 < Level
	Name = '6. Containment Fields'
	PLines = [
		[ # outer ring
			[4,13],
			[4,9],
			[5,9],
			[5,6],
			[4,6],
			[4,5],
			[1,5],
			[1,8],
			[2,8],
			[2,6],
			[3,6],
			[3,9],
			[0,9],
			[0,4],
			[4,4],
			[4,3],
			[8,3],
			[8,4],
			[10,4],
			[10,6],
			[11,6],
			[11,4],
			[12,4],
			[12,3],
			[11,3],
			[11,0],
			[14,0],
			[14,1],
			[15,1],
			[15,2],
			[14,2],
			[14,3],
			[13,3],
			[13,5],
			[12,5],
			[12,7],
			[9,7],
			[9,5],
			[8,5],
			[8,6],
			[7,6],
			[7,9],
			[8,9],
			[8,13],
			[4,13]
		]
	]
	
	Balls = [
		cpv(6,3),
	]
	
	attr_reader :image
		
	def initialize
		super(PLines, cpv(6,12), Balls)
		@image = 'levels/level6.png'
		
		add_door(:top, Door.new(cpv(5,7), cpv(7,7)), true)
		add_door(:bottom, Door.new(cpv(5,8), cpv(7,8)), true)
		
		add_glass(Glass.new(cpv(4,4), cpv(4,5)))
		add_glass(Glass.new(cpv(8,4), cpv(8,5)))
		
		add_field(Field.new(cpv(2,6.5), cpv(3,6.5)))
		add_field(Field.new(cpv(14,1), cpv(14,2)))
		
		button = Button.new(cpv(2.3, 6.1), cpv(2.7, 6.1)) do
			open_door(:top)
		end
		add_button(button)
		
		button = Button.new(cpv(14.9, 1.3), cpv(14.9, 1.7)) do
			open_door(:bottom)
		end
		add_button(button)
	end
	
	def ball_taken
		close_door(:top)
		close_door(:bottom)
		AlarmSound.play
	end
end