class Level8 < Level
	Name = '8. The Box'
	PLines = [
		[ # outer ring
			[0,10],
			[0,6],
			[4,6],
			[4,7],
			[6,7],
			[6,0],
			[11,0],
			[11,5],
			[12,5],
			[13,6],
			[13,8],
			[11,8],
			[11,9],
			[12,9],
			[12,10],
			[6,10],
			[6,8],
			[4,8],
			[4,10],
			[0,10]
		],[ # little box
			[11,6],
			[12,6],
			[12,7],
			[11,7],
			[11,6]
		]
	]
	
	Balls = [
		cpv(7,0),
		cpv(9.5,0),
	]
	
	attr_reader :image
		
	def initialize
		super(PLines, cpv(2,8), Balls)
		@image = 'levels/level8.png'
		
		add_door(:exit, Door.new(cpv(5,8), cpv(5,7)), true)
		
		add_field(Field.new(cpv(11,10), cpv(11,9)))
		add_field(Field.new(cpv(11,8), cpv(11,7)))
		add_field(Field.new(cpv(11,6), cpv(11,5)))
		add_door(:trapside, Door.new(cpv(12,8), cpv(12,7)), true)
		add_door(:trapbottom, Door.new(cpv(12,7), cpv(13,7)), true)
		
		button = Button.new(cpv(11.9,9.3), cpv(11.9,9.7)) do
			open_door(:trapside)
			open_door(:trapbottom)
		end
		add_button(button)
		
		button = Button.new(cpv(12.9,7.3), cpv(12.9,7.7)) do
			open_door(:exit)
			close_door(:trapside)
			close_door(:trapbottom)
		end
		add_button(button)

		add_field(Field.new(cpv(8,4), cpv(11,4)))
		add_door(:box1, Door.new(cpv(8,0), cpv(8,4)), false)
		add_door(:box2, Door.new(cpv(8,4), cpv(11,2)), false)
		
		button = Button.new(cpv(10.9,2.3), cpv(10.9,2.7)) do
			open_door(:box1)
			open_door(:box2)
		end
		add_button(button)
	end
	
	def ball_taken
		close_door(:exit)
		AlarmSound.play
	end
end