class Highscores
	def initialize(filename, num, default=[])
		@filename, @num, @default = filename, num, default
		
		if File.exist?(@filename)
			open(@filename){|f| @scores = Marshal.load(f)}
		else
			reset_scores
		end
	end
	
	def reset_scores
		@scores = Hash.new
		@scores.default = []
		@scores[:LASTNAME] = ''
		save
	end		
	
	def high_score?(level, score)
		scores = @scores[level]
		if scores.length < @num or (scores.last[0] < score)
			return place(scores, score)
		end
		return false
	end
	
	def add(level, score, name)
		return unless high_score?(level, score)
		scores = @scores[level].clone
		scores << [score, name]
		scores.sort!{|a,b| b <=> a}
		scores.pop if scores.length > @num
		@scores[level] = scores
		@scores[:LASTNAME] = name
		save
	end
	
	def get_last_name
		@scores[:LASTNAME]
	end
	
	def get_scores(level)
		scores = @scores[level]
		return scores + [@default]*(@num - scores.length)
	end
	
	def save
		puts 'saving scores'
		open(@filename, 'w'){|f| Marshal.dump(@scores, f)}
	end
	
protected
	def place(scores, newscore)
		return 1 if scores.empty?
		scores.each_with_index do|score, place|
			puts "old #{score[0]}, new #{newscore}, place #{place}"
			return place+1 if newscore > score[0]
		end
		puts 'end condition'
		return scores.length+1
	end
end
