$: << 'ruby/'
require 'fonttexture'
Font = FontTexture.new('fonts/anklepants')
Texture = AS::Texture.open('fonts/anklepants.png')

require 'physics'

require 'timescore'
require 'highscores'
highscores = ENV['HOME'] + '/Library/Preferences/AntimatterHighscores'
Scores = Highscores.new(highscores, 6, [TimeScore.new(0), 'Nobody'])

require 'polyline'
require 'ship'
require 'ball'
require 'warp'
require 'level'

require 'sounds'

require 'startstate'
require 'playstate'
require 'menustate'
require 'namestate'

#Music = AS::Music.new('spaceinvaders.ogg', true)
#Music.volume = 0.7
#Music.play

GL.ClearColor(0,0,0,1)
GL.Clear(GL::COLOR_BUFFER_BIT)
GL.ColorMask(GL::TRUE, GL::TRUE, GL::TRUE, GL::FALSE)

Canvas = AS::Canvas.new(512, 384, 1024, 768)
HudCanvas = AS::Canvas.new(0, -768, 1024, -768)

Menustate.new.run