class Menustate < AS::Gamestate
	def add_actions
		action(AS::Event.for_key(AS::Event::Key_SPACE)){run_levels}
		action(AS::Event.for_key(AS::Event::Key_ESCAPE)){stop(:exit)}
		action(AS::Event.for_key(?e)){$easy = true}
		action(AS::Event.for_key(?h)){$easy = false}
		action(AS::Event.for_key(?r)){Scores.reset_scores}
	end
	
	def run_level(level)
		loop do
			value = StartState.new(level::Name).run
			if value == :menu
				throw :menu
			elsif value == :next
				break
			end
			
			thelevel = Playstate.new(level.new)
			LevelStartSound.play
			value = thelevel.run
			if TimeScore === value
				levelname = level::Name + ($easy ? "easy" : "hard")
				place = Scores.high_score?(levelname, value)
				if place
					CompletedSound.play
					name = Namestate.new(place, value).run
					Scores.add(levelname, value, name)
				end
				break
			end
		end
	end		

	def run_levels
		catch(:menu) do
			Levels.each do|level|
				run_level(level)
			end
		end
	end
	
	def initialize
		super
		
		@blink = true
		
		add_actions
	end
	
	def update
	end
	
	def draw
		AS.alpha_blend_mode
		HudCanvas.set
		GL.Color(1,0,0)
		Font.draw_centered(512,300,2,'Antimatter')
				
		GL.Color(0,1,0)
		Font.draw(550, 366, 0.5, 'By Scott Lembcke')
		
		@blink ? GL.Color(1,1,1) : GL.Color(1,0,0)
		Font.draw_centered(512,400,0.5,'Press space to begin')

		GL.Color(1,0,0)
		Font.draw_centered(512,552,1, $easy ? "Easy Mode" : "Hard Mode")
		Font.draw_centered(512,600,0.5,"Press 'e' for easy mode.")
		Font.draw_centered(512,624,0.5,"Press 'h' for hard mode.")
		Font.draw_centered(512,648,0.5,"Press 'r' to reset scores.")
		
		@blink ^= true
		sleep(0.1)
	end
end