class PolyLine
	def initialize(arr, scale)
		@arr = arr.collect do|pline|
			pline.collect do|point|
				cpv(*point)*scale
			end
		end
	end
	
	def each_segment
		@arr.each do|pline|
			last = nil
			pline.each do|point|
				yield(last, point) if last
				last = point
			end
		end
	end
	
	def to_list
		AS::create_list do
			@arr.each do|pline|
				GL.Begin(GL::LINE_STRIP)
					pline.each do|point|
						GL.Vertex(*point)
					end
				GL.End
			end
		end
	end
	
	def foldmax(list)
		maxx, maxy = 0, 0
		list.each do|v|
			maxx = v.x if v.x > maxx
			maxy = v.y if v.y > maxy
		end
		
		return cpv(maxx, maxy)
	end		
	
	def max
		folded = @arr.collect{|sub| foldmax(sub)}
		foldmax(folded)
	end
	
	def add(pline)
		@arr << pline
	end
end