class StartState < AS::Gamestate
	def add_actions
		action(AS::Event.for_key(AS::Event::Key_SPACE)){stop(:cont)}
		action(AS::Event.for_key(AS::Event::Key_ESCAPE)){stop(:menu)}
#		action(AS::Event.for_key(AS::Event::Key_RIGHT)){stop(:next)}
	end
	
	def scores_string
		scorelist = Scores.get_scores(@name + ($easy ? "easy" : "hard"))
		scorelist = scorelist.collect do|scores|
			scores.join(' - ')
		end
		return "Best Times:\n" + scorelist.join("\n")
	end
	
	def initialize(name)
		super()
		@name = name
		
		@scores = scores_string
		@blink = true
		
		add_actions
	end
	
	def update
	end
	
	def draw
		HudCanvas.set
		GL.Color(0.5,1,0)
		Font.draw_centered(512,300,1, @name)
		
		@blink ? GL.Color(1,1,1) : GL.Color(1,0,0)
		Font.draw_centered(512,400,0.5, 'Press space to begin')
		
		GL.Color(1,1,1)
		Font.draw(200,500,0.5, @scores)
		
		@blink ^= true
		sleep(0.1)
	end
end
